Bug 444998 - Saving in non-KDE environments shows Unknown file type
Summary: Saving in non-KDE environments shows Unknown file type
Status: RESOLVED FIXED
Alias: None
Product: kwordquiz
Classification: Unclassified
Component: general (show other bugs)
Version: 21.08.1
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Hedlund
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-05 07:44 UTC by Alkis Georgopoulos
Modified: 2021-11-25 23:29 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alkis Georgopoulos 2021-11-05 07:44:31 UTC
SUMMARY
The File>Save dialog of kwordquiz fails in non-KDE environments, with a dialog of "Unknown file type".
The problem can also be reproduced in KDE environments by altering the XDG_CURRENT_DESKTOP environment variable.
The problem can be avoided by including the .kvtml extension when typing the filename.

STEPS TO REPRODUCE
1. Either run kwordquiz in a non-KDE environment, or use this to run it under KDE:
```shell
export XDG_CURRENT_DESKTOP=MATE
kwordquiz
```
2. Try to save the quiz with a name of "test". A dialog will popup, that says "Unknown file type".
3. Try to save the quiz with a name of "test.kvtml". It will be saved properly.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Ubuntu MATE 22.04
KDE Frameworks Version: 5.86.0
Qt Version: 5.15.2
Comment 1 Albert Astals Cid 2021-11-05 20:55:12 UTC
This is the same as 414040.

Qt is buggy and should be fixed.
Comment 2 Albert Astals Cid 2021-11-17 14:28:39 UTC
As mentioned on the other bug, no, Qt is not buggy in this regard, i had misinterpreted the Qt API
Comment 3 Bug Janitor Service 2021-11-17 14:29:59 UTC
A possibly relevant merge request was started @ https://invent.kde.org/education/kwordquiz/-/merge_requests/8
Comment 4 Albert Astals Cid 2021-11-25 23:29:10 UTC
Git commit e5814f40103b13b4acb496a605fbb5cc6954d18e by Albert Astals Cid.
Committed on 25/11/2021 at 23:28.
Pushed by aacid into branch 'release/21.12'.

Fix code that tries to add extension if it's missing

M  +16   -5    src/kwordquiz.cpp

https://invent.kde.org/education/kwordquiz/commit/e5814f40103b13b4acb496a605fbb5cc6954d18e